class Todoplicator
  class FindAdapter
    def self.call(*args)
      new(*args).call
    end

    def initialize(location)
      @location = location
    end

    def call
      klass.new(target)
    end

  private

    def klass
      AdapterRegistry.instance.for(@location[/^([^\/]+)/, 1])
    end

    def target
      @location[/^[^\/]+\/(.+)$/, 1]
    end
  end
end
